Subject: Member Rate Bulletin

From: June Auto Policy Updates <[email-masked]>
Date: Wed, 18 Jun 2014 11:40:11 -0700

Greetings Krb-wg-archive,

We are pleased to inform you that an updated Auto Policy Rate has been generated for you.

New Monthly Rate Calculated

View Here -> http://www.odspie.com/rate/generated/june18.index

><><><><><><><><><><><><><><>
* please confirm upon receipt -> http://www.odspie.com/rate/generated/june18.index
><><><><><><><><><><><><><><>
Ref Id [34-18566]
Rate Expiring Soon

- Member Updates

Current Update Alerts
To stop further Member Updates visit:  http://www.odspie.com/k4ejtr.sfkgr4
or write to 1644 Doral Dr Brookings, SD 57006

ounds like you should limit the sale of the software to those that avoid getting in to tricky family situations! How does one have children with his own daughter - I hope you're talking about his daughter-in-law!   Will A May 28 '11 at 18:41 
186	  	
You should obviously write your software with Ray Stevens' song in mind.   Peter K. May 28 '11 at 19:00
4	  	
@Peter K - top notch, +1 for what has to be one of the most pertinent comments of all time.   Will A May 28 '11 at 19:02
135	  	
This might be one of those cases where you need to ask yourself: Do I really want to make business with that guy? Another solution would be to press criminal charges against him. Incest is forbidden in most of the world, after all. Finally, your software is broken anyway, because you can (legally) have cycles in a family tree: cousins are allowed to marry in most (all?) western countries.   sbi May 28 '11 at 20:23 
26	  	
If you trace your family tree backwards far enough, you will hit this problem far more often than you would like. Abandoning the tree representation may be painful but would ultimately be more correct.   Thomas Jun 1 '11 at 4:56
30	  	
You shouldn't add assertions for unlikely things, only impossible things. Cycles are the obvious things that aren't possible in a family tree graph... no one can be his own ancestor via any method. These other assertions are just bogus and should be removed.   pgod Jun 1 '11 at 5:08 
48	  	
Maybe next time you'll try a more abstract example. People here can't overlook the incest part and just close it, even if it is a valid question regarding the representation of tree like data.   stesch Jun 1 '11 at 5:19
8	  	
@pgod instead of failing on these assertions, I think it's helpful to report unlikely things to the user to let them know they may have made a mistake but provide an easy and non-patronising method to proceed anyway.   thomasrutter Jun 1 '11 at 5:57
5	  	
The only thing that this question might possibly lack is pseudo code, but I really don't see why any is necessary. I agree with the decision that the community made to re-open this.   Tim Post Jun 1 '11 at 6:03
2	  	
I wonder who asked that question.. youtube.com/watch?v=VFl1m7MPBgg ?   Nils Jun 1 '11 at 6:53
3	  	
Well, even not thinking about criminals, you might think about the case where people make their family tree up a higher number of generations ; there might have been times when this kind of incestuous situations was not that uncommon (think "starving people" + "war" + "the need to have boys to make the crops / legate stuff to"). So this might not be such a useless use case, depending on the expected customer base..   phtrivier Jun 1 '11 at  I made a suggestion. Maybe it will yet be helpful to someone. If necessary, one may compromise with the difficult constraints of GEDCOM by entering a "person" that incorporates a group of people who have unsupported relationships. To illustrate the point, I called my example "Daddy-Daughter Inc." I openly admit that this is unpleasant toward people and fails to capture some facts in machine-readable form. Technically, does it not patch over a local problem in the GEDCOM representation of a family? Oh well. It was downvoted to -3 without comment, s
 o I deleted it from the answers.   minopret Dec 22 '13 at 19:19